# Get Endpoint - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-get-endpoint

# Get Endpoint

GET

/

gpus

/

v2

/

endpoints

/

{endpoint_id}

Try it

Get Endpoint

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/endpoints/{endpoint_id} \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/endpoints/{endpoint_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"id": "endpoint-id",
"name": "example-endpoint",
"app_name": "example-app",
"status": {
"status": "running",
"error": "",
"message": ""
},
"url": "https://endpoint.example.com/endpoint-id",
"product_id": "&#x3C;string>",
"worker_config": {
"min_replicas": 0,
"max_replicas": 2,
"idle_timeout": 300,
"max_concurrent_per_worker": 10,
"gpu_num": 1,
"rootfs_size_gb": 20,
"min_cuda_version": "12.4",
"request_timeout": 60
},
"policy": {
"type": "queue",
"value": 100
},
"image": "registry.example.com/namespace/image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "cargo run",
"volumes": [
{
"id": "storage-id",
"type": "network",
"mount_point": "/data"
}
],
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"ports": [
8080
],
"workers": [
{
"id": "worker-id",
"status": {
"status": "ready",
"error": "",
"message": ""
},
"log": "https://logs.example.com/worker-id",
"health": true,
"drain": false
}
],
"health_check": {
"path": "/healthz",
"port": 8080
},
"region_id": "region-id",
"member_id": "member-id",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"created_at": 1710000000
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-endpoint-id)

endpoint_id

string

required

Endpoint ID. String, length: 1-255 characters.

#### Response

200 - application/json

OK

[​](#response-id)

id

string

Endpoint ID

Example:

`"endpoint-id"`

[​](#response-type)

type

enum<string>

Endpoint type. Allowed values: `sync`, `async`

Available options:

`sync`,

`async`

[​](#response-name)

name

string

Endpoint name

Example:

`"example-endpoint"`

[​](#response-app-name)

app_name

string

Application name

Example:

`"example-app"`

[​](#response-status)

status

object

Endpoint status

Show child attributes

[​](#response-url)

url

string

Access URL

Example:

`"https://endpoint.example.com/endpoint-id"`

[​](#response-product-id)

product_id

string

Serverless product ID

[​](#response-worker-config)

worker_config

object

Worker configuration

Example:

```
{ "min_replicas": 0, "max_replicas": 2, "idle_timeout": 300, "max_concurrent_per_worker": 10, "gpu_num": 1, "rootfs_size_gb": 20, "min_cuda_version": "12.4", "request_timeout": 60}
```

[​](#response-policy)

policy

object

Policy configuration

Example:

```
{ "type": "queue", "value": 100 }
```

[​](#response-image)

image

string

Image address

Example:

`"registry.example.com/namespace/image:tag"`

[​](#response-registry-auth-id)

registry_auth_id

string

Registry authentication ID

Example:

`"registry-auth-id"`

[​](#response-entrypoint)

entrypoint

string

Container entrypoint

Example:

`""`

[​](#response-command)

command

string

Startup command

Example:

`"cargo run"`

[​](#response-volumes)

volumes

object[]

Mount list

Example:

```
[ { "id": "storage-id", "type": "network", "mount_point": "/data" }]
```

[​](#response-envs)

envs

object[]

Environment variable list

Example:

```
[{ "key": "ENV_NAME", "value": "ENV_VALUE" }]
```

[​](#response-ports)

ports

integer[]

Port list

Example:

```
[8080]
```

[​](#response-workers)

workers

object[]

Worker list

Show child attributes

[​](#response-health-check)

health_check

object

Health check configuration

Example:

```
{ "path": "/healthz", "port": 8080 }
```

[​](#response-region-id)

region_id

string

Region ID

Example:

`"region-id"`

[​](#response-member-id)

member_id

string

Member ID

Example:

`"member-id"`

[​](#response-owner-id)

owner_id

string

Owner ID

Example:

`"550e8400-e29b-41d4-a716-446655440000"`

[​](#response-created-at)

created_at

integer

Creation time. Unix timestamp

Example:

`1710000000`

Last modified on June 26, 2026
